Public Attributes | List of all members
ble_l2cap_lecb_conn_req_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter of LE credit based connection request packet sending. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | le_psm
uint16_t | local_cid
uint16_t | local_credits
uint16_t | mtu
uint16_t | mps

## Detailed Description

The parameter of LE credit based connection request packet sending.

Note
  The le_psm should be registered by the peer device, otherwise the peer device will reject this request with result of LE_PSM not supported.
  The local_cid should be 0x0040-0x007F. If the local_cid is set to 0, the stack will assign it dynamically.
  The local_credit is required to be sure that at least one SDU can be received, otherwise the stack will use the default value: (MTU + MPS + 1) /MPS + 1.
  The MTU range is [23~max_mtu].
  The MPS range is [23~max_mps].
  About max_mtu and max_mps config, please see ble_gap_l2cap_params_set.

Definition at line 78 of file ble_l2cap.h.

## Member Data Documentation

## ◆ le_psm

uint16_t ble_l2cap_lecb_conn_req_t::le_psm

The le_psm number.

Definition at line 80 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_lecb_conn_req_t::local_cid

The local CID.

Definition at line 81 of file ble_l2cap.h.

## ◆ local_credits

uint16_t ble_l2cap_lecb_conn_req_t::local_credits

The local credits indicate the number of LE-frames that the peer device can send to the L2CAP layer entity sending the LE Credit Based Connection Request.

Definition at line 82 of file ble_l2cap.h.

## ◆ mps

uint16_t ble_l2cap_lecb_conn_req_t::mps

The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channel.

Definition at line 84 of file ble_l2cap.h.

## ◆ mtu

uint16_t ble_l2cap_lecb_conn_req_t::mtu

The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel.

Definition at line 83 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h